<!DOCTYPE html>
<html>
    <head>
       <title>my document</title>

    </head>

    <body>
        

<p>Primul text</p>
<p id="demo">text 1</p>
<script> 
<button type='button' onclick='document.getElementById("demo").innerHTML="text 2 "'>button</button>
</script>
<h1 id="test"></h1>
<script>
    // console.log("Al treilea text");
   
    // var ex= 3;
    // document.write(typeof(ex));
    // document.write(ex + 5 );
    
    // var ex2 = 'asadc';
    // document.write(ex2);

    // var ex3 = null;
    // document.write(ex3);

    // var ex4 = ['rosu', 'galben', 'verde', 'albastru'];
    // document.write(ex4[1]);

    // var pisica = { culoare:"alba", varsta: 2}
    // document.write(pisica.culoare);

    var i, mesaj= " ", materii= ['matematica','romana', 'istorie', 'engleza'];

    for(i=0; i<materii.length; i++){
        mesaj= mesaj + materii[i] +"<br>";
    }

    document.getElementById('test').innerHTML = mesaj;
</script>

<h2 id="test1"></h2>
<script>
var i, mesaj ="";
var masina = {
marca: 'Audi',
culoare: 'negru',
an:'2009'
};

for(i in masina){
mesaj += masina[i] + ', ';
}

document.getElementById('test1').innerHTML = mesaj;
</script>
 
<h1 id ="text3" onmousedown="afiseaza()">Acesta este primul text</h1>
<script>
function afiseaza(){
    document.getElementById("text3").innerHTML = "Acesta este al doilea text";
}
</script>
<input type="text4" onkeydown="afiseaza()">
<h2 id="text5">H1</h2>


<script>
function afiseaza(){
    document.getElementById("text5").innerHTML = "Acesta este efectul";
}
</script>
</body>
</html> 

        <script src="script.js"></script>
    </body>
</html>